Subject: bug#41615: [feature/native-comp] Dump prettier C code.

From: Nicolas Bértolo <[email-masked]>
Date: Sun, 31 May 2020 12:42:10 -0300

> I like the idea of the patch.  I've tested it too and I do not see
> compile time overhead.

Good :).

> On the subject of 'emit_coerce' in case you like to do more work in the
> area I think would be good to have an additional boolean parameter
> called like 'safe'.

> If this is true and we cast from a smaller size to a bigger one we
> should zero the cast union first.  In case false we should raise an ICE.

Ok, will try that. I will reuse the definition of naive_bzero() from the other
patch.

I will post an updated patch soon.

Nico.